<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>4. Fundamentos de TeX</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1 id="fundamentos-de-tex">4. Fundamentos de TeX</h1>
        <ul>
            <li>
                <p>Horas: 10</p>
            </li>
            <li>
                <p>Tipo: teórico-práctico</p>
            </li>
            <li>
                <p>Relaciones: 2e, 2r, 3e, 5e, 5r, 6e, 8e, 12e, 17r</p>
            </li>
        </ul>
        <h2 id="descripcion_4">Descripción</h2>
        <p>En el mundo de la edición existen dos grandes metodologías para la producción de publicaciones impresas. La más popular es el <i>desktop publishing</i> cuyo ejemplo son InDesign o Scribus. Pese a su relativa corta curva de aprendizaje, este tipo de método se vuelve problemático cuando se trata de automatizar o procesar grandes volúmenes de texto. Desde los ochenta existe una solución a esta dificultad: los sistemas de composición tipográfica. En este módulo se verán los fundamentos de TeX, el sistema de composición más robusto y popular. A partir del uso de macros, se explicará y aplicará la estructura de un documento TeX. Además se describirán el proceso y las herramientas necesarias para producir <span class="smallcap">PDF</span> con este sistema de composición.</p>
        <h2 id="objetivos_4">Objetivos</h2>
        <ul>
            <li>
                <p>Aprender las diferencias entre el <i>desktop publishing</i> y los sistemas de composición tipográfica.</p>
            </li>
            <li>
                <p>Comprender qué son los macros de LaTeX.</p>
            </li>
            <li>
                <p>Configurar un documento básico de LaTeX.</p>
            </li>
            <li>
                <p>Modificar diseño de las plantillas por defecto de LaTeX.</p>
            </li>
        </ul>
        <h2 id="temas_4">Temas</h2>
        <ol>
            <li>
                <p>Ventajas y desventajas del <i>desktop publishing</i>.</p>
            </li>
            <li>
                <p>¿Qué es un sistema de composición tipográfica?</p>
            </li>
            <li>
                <p>¿Qué es TeX?</p>
            </li>
            <li>
                <p>¿Qué es LaTeX?</p>
            </li>
            <li>
                <p>Configuración de un documento con TeXstudio.</p>
            </li>
            <li>
                <p>Modificaciones del diseño por defecto de LaTeX.</p>
            </li>
            <li>
                <p>Búsqueda e implementación de plantillas.</p>
            </li>
            <li>
                <p>Generación de <span class="smallcap">PDF</span> a través de <code>lualatex</code>.</p>
            </li>
        </ol>
        <h2 id="conocimientos-previos_4">Conocimientos previos</h2>
        <ul>
            <li>
                <p>Ninguno.</p>
            </li>
        </ul>
        <h2 id="materiales-necesarios_4">Materiales necesarios</h2>
        <ul>
            <li>
                <p>Computadoras para realizar los ejercicios.</p>
            </li>
            <li>
                <p>Conexión a internet.</p>
            </li>
            <li>
                <p>Cañón.</p>
            </li>
        </ul>
    </body>
</html>
